<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP5: Référence de la classe Player</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP5
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="classPlayer-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Player</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:abd1cd6a50bf69549f819e721007b495a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#abd1cd6a50bf69549f819e721007b495a">__construct</a> (String $nickname=&quot;&quot;, <a class="el" href="classPile.html">Pile</a> $hand=null)</td></tr>
<tr class="separator:abd1cd6a50bf69549f819e721007b495a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ceb116219d07b1f1a07737a2692d8bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a3ceb116219d07b1f1a07737a2692d8bc">getNickname</a> ()</td></tr>
<tr class="separator:a3ceb116219d07b1f1a07737a2692d8bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85bf5c7019c2b8646a98ee7d71b0674"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#ae85bf5c7019c2b8646a98ee7d71b0674">getHandCardsCount</a> ()</td></tr>
<tr class="separator:ae85bf5c7019c2b8646a98ee7d71b0674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d0366e11ce75ecfd8c9bb4523bced70"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a5d0366e11ce75ecfd8c9bb4523bced70">playCard</a> ()</td></tr>
<tr class="separator:a5d0366e11ce75ecfd8c9bb4523bced70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24482796bea34b50d8308c07b23b9611"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a24482796bea34b50d8308c07b23b9611">clearTable</a> (<a class="el" href="classPile.html">Pile</a> $tas)</td></tr>
<tr class="separator:a24482796bea34b50d8308c07b23b9611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a750fe850ebda066a2d39ef19bcc82beb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a750fe850ebda066a2d39ef19bcc82beb">newGame</a> (<a class="el" href="classPile.html">Pile</a> $tas)</td></tr>
<tr class="separator:a750fe850ebda066a2d39ef19bcc82beb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae06282724e4ce08bed2403c0aa9c430f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#ae06282724e4ce08bed2403c0aa9c430f">__toString</a> ()</td></tr>
<tr class="separator:ae06282724e4ce08bed2403c0aa9c430f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="abd1cd6a50bf69549f819e721007b495a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd1cd6a50bf69549f819e721007b495a">&#9670;&nbsp;</a></span>__construct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::__construct </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>$nickname</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPile.html">Pile</a>&#160;</td>
          <td class="paramname"><em>$hand</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructeur de la classe <a class="el" href="classPlayer.html">Player</a>. Ce constructeur permet d'affecter un surnom et une main (une pile de carte) à un joueur. Lorsque ces valeurs ne sont pas renseignées, l'attribut $nickname est initialisé avec une chaîne de caractères vide, tandis que l'attribut $hand est initialisé avec une <a class="el" href="classPile.html">Pile</a> vide.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$nickname</td><td>Surnom du joueur. </td></tr>
    <tr><td class="paramname">$hand</td><td>Main du joueur (<a class="el" href="classPile.html">Pile</a> de cartes). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="ae06282724e4ce08bed2403c0aa9c430f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae06282724e4ce08bed2403c0aa9c430f">&#9670;&nbsp;</a></span>__toString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::__toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'afficher le surnom d'un joueur ainsi que le nombre de cartes qu'il a en main. Retourne une chaîne de caractères qui contient le surnom du joueur ainsi que le nombre de cartes qu'il a en main.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Chaîne de caractères qui contient le surnom du joueur ainsi que le nombre de cartes qu'il a en main. </dd></dl>

</div>
</div>
<a id="a24482796bea34b50d8308c07b23b9611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24482796bea34b50d8308c07b23b9611">&#9670;&nbsp;</a></span>clearTable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::clearTable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPile.html">Pile</a>&#160;</td>
          <td class="paramname"><em>$tas</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'ajouter un tas de cartes (passé en paramètre) à la fin de la main d'un joueur. Cette méthode ne retourne rien.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$tas</td><td>Tas de cartes à ajouter à la main du joueur. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae85bf5c7019c2b8646a98ee7d71b0674"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae85bf5c7019c2b8646a98ee7d71b0674">&#9670;&nbsp;</a></span>getHandCardsCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::getHandCardsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de connaître le nombre de cartes dans la main d'un joueur. Retourne le nombre de carte dans la main d'un joueur sous la forme d'un entier.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Nombre de cartes dans la main d'un joueur. </dd></dl>

</div>
</div>
<a id="a3ceb116219d07b1f1a07737a2692d8bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ceb116219d07b1f1a07737a2692d8bc">&#9670;&nbsp;</a></span>getNickname()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::getNickname </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Accesseur au surnom du joueur. Retourne le nom du joueur sous la forme d'une chaîne de caractères.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Nom du joueur sous la forme d'une chaîne de caractères. </dd></dl>

</div>
</div>
<a id="a750fe850ebda066a2d39ef19bcc82beb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a750fe850ebda066a2d39ef19bcc82beb">&#9670;&nbsp;</a></span>newGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::newGame </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPile.html">Pile</a>&#160;</td>
          <td class="paramname"><em>$tas</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'affecter un nouveau jeu au joueur à partir d'un tas de cartes passé en paramètres. Cette méthode ne retourne rien.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$tas</td><td>Tas de carte qui va constituer le nouveau jeu du joueur. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5d0366e11ce75ecfd8c9bb4523bced70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d0366e11ce75ecfd8c9bb4523bced70">&#9670;&nbsp;</a></span>playCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::playCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant au joueur de joueur la première carte de sa main. Retourne la carte jouée par le joueur. Si la main du joueur ne contient aucune carte, la méthode lance une exception de type OutOfRangeException.</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">Lève</td><td>l'exception OutOfRangeException si la main du joueur est vide. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Première carte de la main du joueur (qui a été jouée) </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>Player.class.php</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
